commit:     5b8279516ff67df18ae3c6ce99551241207d50c6
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 15 15:20:03 2021 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Wed Sep 15 19:55:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b827951

net-libs/glib-networking: bump to 2.70_rc

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 net-libs/glib-networking/Manifest                  |  1 +
 .../glib-networking/glib-networking-2.70_rc.ebuild | 83 ++++++++++++++++++++++
 profiles/package.mask                              |  1 +
 3 files changed, 85 insertions(+)

diff --git a/net-libs/glib-networking/Manifest 
b/net-libs/glib-networking/Manifest
index de666e0f10b..ea5b7c244ce 100644
--- a/net-libs/glib-networking/Manifest
+++ b/net-libs/glib-networking/Manifest
@@ -1,2 +1,3 @@
 DIST glib-networking-2.68.1.tar.xz 237876 BLAKE2B 
11d982a3d65ae5793a3b6c30cf31737ede5879aa3747416253bacc34d62a1ada944a718223300d63a5b37615492929e63c1c0cad6ef34775ee95e49f6769dc04
 SHA512 
da38b64e6709c864e1c6a60989d86439e0afb1dbf7b7f60a67f58cf430ae354ef9fe7465e74790b0c2827d2f1c39a250db4372d98fab6ab8d73946a7f51e3b22
 DIST glib-networking-2.68.2.tar.xz 239040 BLAKE2B 
2b65a63205d3071d05898ca869ae117c9b9fd548b19d9a1c82869a1eb54b77113f8908cd32108f4ca851cc0975ed34c16df04906b5b3c1f9a9a03574187ba929
 SHA512 
5c2d485332ff1b5a4d0f257b4e7a371b0bfe899b98ee4157845e5f5d3f10cf6f2df891407396edb6955420064dbaa57a5dc3c62c6392881cff05332db925d32d
+DIST glib-networking-2.70.rc.tar.xz 259756 BLAKE2B 
4ba60ab836e5859fa658b0c21bfccaa67e9c665dd86245c9ff9b9ba251239b9c5a3d17aabc56527a32f46142bd4d7100188946d4a05ee0cc8c99e3c281322ae5
 SHA512 
eacd31370c397900ccd850a4ea19adc8ee6de10847792d975263b6163c5b354f92022fe3ac6ba94e2f4c1b0ca1535cd4600c445809ee42a83ff4b393260ae7e5

diff --git a/net-libs/glib-networking/glib-networking-2.70_rc.ebuild 
b/net-libs/glib-networking/glib-networking-2.70_rc.ebuild
new file mode 100644
index 00000000000..58404976927
--- /dev/null
+++ b/net-libs/glib-networking/glib-networking-2.70_rc.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson-multilib xdg
+
+DESCRIPTION="Network-related giomodules for glib"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/glib-networking";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+gnome +libproxy +ssl test"
+RESTRICT="!test? ( test )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+MY_PV=${PV/_/.}
+SRC_URI="mirror://gnome/sources/${GNOME_ORG_MODULE}/${GNOME_ORG_PVP}/${GNOME_ORG_MODULE}-${MY_PV}.tar.${GNOME_TARBALL_SUFFIX}"
+S="${WORKDIR}/${GNOME_ORG_MODULE}-${MY_PV}"
+
+RDEPEND="
+       >=dev-libs/glib-2.69.0:2[${MULTILIB_USEDEP}]
+       libproxy? ( >=net-libs/libproxy-0.4.11-r1:=[${MULTILIB_USEDEP}] )
+       >=net-libs/gnutls-3.7.2:=[${MULTILIB_USEDEP}]
+       ssl? ( app-misc/ca-certificates )
+       gnome? ( gnome-base/gsettings-desktop-schemas )
+"
+DEPEND="${RDEPEND}
+       test? ( net-libs/gnutls[pkcs11] )
+"
+BDEPEND="
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       test? ( sys-apps/dbus )
+"
+
+src_prepare() {
+       xdg_src_prepare
+
+       if ! use test ; then
+               # Don't build tests unconditionally
+               # This is a hack to avoid needing gnutls[pkcs11] when USE=-test
+               # It may become a real runtime dependency in future
+               # Please check!
+               # bug #777462
+               sed -i "/^subdir('tls\/tests')/d" meson.build || die
+       fi
+}
+
+multilib_src_configure() {
+       local emesonargs=(
+               -Dgnutls=enabled
+               -Dopenssl=disabled
+               $(meson_feature libproxy)
+               $(meson_feature gnome gnome_proxy)
+               -Dinstalled_tests=false
+               -Dstatic_modules=false
+       )
+       meson_src_configure
+}
+
+multilib_src_test() {
+       dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       multilib_pkg_postinst() {
+               gnome2_giomodule_cache_update \
+                       || die "Update GIO modules cache failed (for ${ABI})"
+       }
+       multilib_foreach_abi multilib_pkg_postinst
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+
+       multilib_pkg_postrm() {
+               gnome2_giomodule_cache_update \
+                       || die "Update GIO modules cache failed (for ${ABI})"
+       }
+       multilib_foreach_abi multilib_pkg_postrm
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index a455cbf7f72..573801ec5e4 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -43,6 +43,7 @@ net-libs/libsoup:3.0
 >=dev-util/gdbus-codegen-2.69
 >=dev-util/glib-utils-2.69
 >=dev-libs/glib-2.69
+>=net-libs/glib-networking-2.69
 
 # Ionen Wolkens <[email protected]> (2021-09-12)
 # No reverse dependencies, stuck on EAPI-5.

Reply via email to